UpdateStatus (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.server.session.UpdateStatus class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.server.session
Class UpdateStatus

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.bizapp.server.session.UpdateStatus

All Implemented Interfaces:
  java.io.Serializable

    public class UpdateStatus

extends PersistedObject

See Also:
  Serialized Form

Constructor Summary
`protected` | `UpdateStatus()`

Method Summary
`UpdateStatusMode` | `getMode()`
`java.lang.String` | `getReport()`
`protected int` | `getUpdateModeEnum()`
`boolean` | `isIgnored()`
`protected void` | `setIgnored(boolean ignored)`
`protected void` | `setReport(java.lang.String report)`
`protected void` | `setUpdateModeEnum(int mode)`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`equals, get_version_, getId, hashCode, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpdateStatus

    protected UpdateStatus()

Method Detail

### getReport

    public java.lang.String getReport()

### setReport

    protected void setReport(java.lang.String report)

### getUpdateModeEnum

    protected int getUpdateModeEnum()

### setUpdateModeEnum

    protected void setUpdateModeEnum(int mode)

### getMode

    public UpdateStatusMode getMode()

### isIgnored

    public boolean isIgnored()

### setIgnored

    protected void setIgnored(boolean ignored)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.